package com.ruoyi.ie.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ie.mapper.AEnrollSkillMapper;
import com.ruoyi.ie.domain.AEnrollSkill;
import com.ruoyi.ie.service.IAEnrollSkillService;

/**
 * 院校考生技能考核办法Service业务层处理
 * 
 * @author voluntary
 * @date 2023-11-26
 */
@Service
public class AEnrollSkillServiceImpl implements IAEnrollSkillService 
{
    @Autowired
    private AEnrollSkillMapper aEnrollSkillMapper;

    /**
     * 查询院校考生技能考核办法
     * 
     * @param id 院校考生技能考核办法主键
     * @return 院校考生技能考核办法
     */
    @Override
    public AEnrollSkill selectAEnrollSkillById(Long id)
    {
        return aEnrollSkillMapper.selectAEnrollSkillById(id);
    }

    /**
     * 查询院校考生技能考核办法列表
     * 
     * @param aEnrollSkill 院校考生技能考核办法
     * @return 院校考生技能考核办法
     */
    @Override
    public List<AEnrollSkill> selectAEnrollSkillList(AEnrollSkill aEnrollSkill)
    {
        return aEnrollSkillMapper.selectAEnrollSkillList(aEnrollSkill);
    }

    /**
     * 新增院校考生技能考核办法
     * 
     * @param aEnrollSkill 院校考生技能考核办法
     * @return 结果
     */
    @Override
    public int insertAEnrollSkill(AEnrollSkill aEnrollSkill)
    {
        return aEnrollSkillMapper.insertAEnrollSkill(aEnrollSkill);
    }

    /**
     * 修改院校考生技能考核办法
     * 
     * @param aEnrollSkill 院校考生技能考核办法
     * @return 结果
     */
    @Override
    public int updateAEnrollSkill(AEnrollSkill aEnrollSkill)
    {
        return aEnrollSkillMapper.updateAEnrollSkill(aEnrollSkill);
    }

    /**
     * 批量删除院校考生技能考核办法
     * 
     * @param ids 需要删除的院校考生技能考核办法主键
     * @return 结果
     */
    @Override
    public int deleteAEnrollSkillByIds(Long[] ids)
    {
        return aEnrollSkillMapper.deleteAEnrollSkillByIds(ids);
    }

    /**
     * 删除院校考生技能考核办法信息
     * 
     * @param id 院校考生技能考核办法主键
     * @return 结果
     */
    @Override
    public int deleteAEnrollSkillById(Long id)
    {
        return aEnrollSkillMapper.deleteAEnrollSkillById(id);
    }
}
